include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions( -DQT )

##### qscintilla (shared)

tde_add_library( qscintilla SHARED AUTOMOC

  SOURCES
        qextscintilla.cpp
        qextscintillaapis.cpp
        qextscintillabase.cpp
        qextscintillacommand.cpp
        qextscintillacommandset.cpp
        qextscintilladocument.cpp
        qextscintillalexer.cpp
        qextscintillalexerbash.cpp
        qextscintillalexerbatch.cpp
        qextscintillalexercpp.cpp
        qextscintillalexercsharp.cpp
        qextscintillalexercss.cpp
        qextscintillalexerdiff.cpp
        qextscintillalexerhtml.cpp
        qextscintillalexeridl.cpp
        qextscintillalexerjava.cpp
        qextscintillalexerjavascript.cpp
        qextscintillalexerlua.cpp
        qextscintillalexermakefile.cpp
        qextscintillalexerperl.cpp
        qextscintillalexerpov.cpp
        qextscintillalexerproperties.cpp
        qextscintillalexerpython.cpp
        qextscintillalexerruby.cpp
        qextscintillalexersql.cpp
        qextscintillalexertex.cpp
        qextscintillamacro.cpp
        qextscintillaprinter.cpp
        SciListBox.cpp
        PlatQt.cpp
        ScintillaQt.cpp
  LINK
     ${TQT_LIBRARIES}
     src-static

  VERSION 7.0.1

  DESTINATION ${LIB_INSTALL_DIR}
)


###### other data
# translations

file( GLOB _translations RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} qscintilla_*.qm )

install(
    FILES ${_translations}
    DESTINATION ${TQT_TRANSLATIONS_DIR}
)


# headers

file( GLOB _includes RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} qextscintilla*.h )

install(
    FILES ${_includes}
    DESTINATION ${TQT_INCLUDES_DIR}
)
